## postgresql-18 18~beta3

=== src/interfaces/libpq-oauth/Makefile ===
#-------------------------------------------------------------------------
#
# Makefile for libpq-oauth
#
# Portions Copyright (c) 1996-2025, PostgreSQL Global Development Group
# Portions Copyright (c) 1994, Regents of the University of California
#
# src/interfaces/libpq-oauth/Makefile
#
#-------------------------------------------------------------------------

subdir = src/interfaces/libpq-oauth
top_builddir = ../../..
include $(top_builddir)/src/Makefile.global

PGFILEDESC = "libpq-oauth - device authorization OAuth support"

# This is an internal module; we don't want an SONAME and therefore do not set
# SO_MAJOR_VERSION.
NAME = pq-oauth-$(MAJORVERSION)

# Force the name "libpq-oauth" for both the static and shared libraries. The
# staticlib doesn't need version information in its name.
override shlib := lib$(NAME)$(DLSUFFIX)
override stlib := libpq-oauth.a

override CPPFLAGS := -I$(libpq_srcdir) -I$(top_builddir)/src/port $(CPPFLAGS) $(LIBCURL_CPPFLAGS)

OBJS = \
	$(WIN32RES)

OBJS_STATIC = oauth-curl.o

# The shared library needs additional glue symbols.
OBJS_SHLIB = \
	oauth-curl_shlib.o \
	oauth-utils.o \

oauth-utils.o: override CPPFLAGS += -DUSE_DYNAMIC_OAUTH
oauth-curl_shlib.o: override CPPFLAGS_SHLIB += -DUSE_DYNAMIC_OAUTH

# Add shlib-/stlib-specific objects.
$(shlib): override OBJS += $(OBJS_SHLIB)
$(shlib): $(OBJS_SHLIB)

$(stlib): override OBJS += $(OBJS_STATIC)
$(stlib): $(OBJS_STATIC)

SHLIB_LINK_INTERNAL = $(libpq_pgport_shlib)
SHLIB_LINK = $(LIBCURL_LDFLAGS) $(LIBCURL_LDLIBS) $(filter -lintl, $(LIBS))
SHLIB_PREREQS = submake-libpq
SHLIB_EXPORTS = exports.txt

# Disable -bundle_loader on macOS.
BE_DLLLIBS =

# By default, a library without an SONAME doesn't get a static library, so we
# add it to the build explicitly.
all: all-lib all-static-lib

# Shared library stuff
include $(top_srcdir)/src/Makefile.shlib

# Use src/common/Makefile's trick for tracking dependencies of shlib-specific
# objects.
%_shlib.o: %.c %.o
	$(CC) $(CFLAGS) $(CFLAGS_SL) $(CPPFLAGS) $(CPPFLAGS_SHLIB) -c $< -o $@

# Ignore the standard rules for SONAME-less installation; we want both the
# static and shared libraries to go into libdir.
install: all installdirs $(stlib) $(shlib)
	$(INSTALL_SHLIB) $(shlib) '$(DESTDIR)$(libdir)/$(shlib)'
	$(INSTALL_STLIB) $(stlib) '$(DESTDIR)$(libdir)/$(stlib)'

installdirs:
	$(MKDIR_P) '$(DESTDIR)$(libdir)'

uninstall:
	rm -f '$(DESTDIR)$(libdir)/$(stlib)'
	rm -f '$(DESTDIR)$(libdir)/$(shlib)'

clean distclean: clean-lib
	rm -f $(OBJS) $(OBJS_STATIC) $(OBJS_SHLIB)

=== debian/changelog ===
postgresql-18 (18~beta3-1) experimental; urgency=medium

  * New upstream version 18beta3.
  * Drop obsolete patches: focal-arm64-outline-atomics, jit-s390x.

 -- Christoph Berg <myon@debian.org>  Tue, 12 Aug 2025 12:08:31 +0200

=== debian/control ===
Source: postgresql-18
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Martin Pitt <mpitt@debian.org>,
 Peter Eisentraut <petere@debian.org>,
 Christoph Berg <myon@debian.org>,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Build-Depends:
 autoconf,
 bison,
 clang [amd64 arm64 mips64el ppc64 ppc64el s390x] <!pkg.postgresql.nollvm>,
 debhelper-compat (= 13),
 dh-exec (>= 0.13~),
 docbook-xml,
 docbook-xsl (>= 1.77),
 dpkg-dev (>= 1.16.1~),
 flex,
 gdb <!nocheck>,
 gettext,
 libcurl4-openssl-dev [linux-any],
 libicu-dev,
 libio-pty-perl <!nocheck>,
 libipc-run-perl <!nocheck>,
 libkrb5-dev,
 libldap2-dev,
 liblz4-dev,
 libnuma-dev [linux-any],
 libpam0g-dev | libpam-dev,
 libperl-dev,
 libreadline-dev,
 libselinux1-dev [linux-any],
 libssl-dev,
 libsystemd-dev [linux-any],
 liburing-dev [linux-any],
 libxml2-dev,
 libxml2-utils,
 libxslt1-dev,
 libzstd-dev (>= 1.4.0) <!pkg.postgresql.nozstd>,
 llvm-dev [amd64 arm64 mips64el ppc64 ppc64el s390x] <!pkg.postgresql.nollvm>,
 lz4 | liblz4-tool,
 mawk,
 perl (>= 5.8),
 pkgconf,
 postgresql-common (>= 279~),
 python3-dev,
 systemtap-sdt-dev [linux-any],
 tcl-dev,
 tzdata <!nocheck>,
 tzdata-legacy <!nocheck> | tzdata (<< 2023c-8) <!nocheck>,
 uuid-dev,
 xsltproc,
 zlib1g-dev | libz-dev,
 zstd (>= 1.4.0) <!pkg.postgresql.nozstd>,
Homepage: http://www.postgresql.org/
Vcs-Browser: https://salsa.debian.org/postgresql/postgresql
Vcs-Git: https://salsa.debian.org/postgresql/postgresql.git -b 18

Package: libpq-dev
Build-Profiles: <!pkg.postgresql.nolibpkgs>
Architecture: any
Section: libdevel
Depends:
 libpq5 (= ${binary:Version}),
 libssl-dev,
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 postgresql-doc-18,
Description: header files for libpq5 (PostgreSQL library)
 Header files and static library for compiling C programs to link
 with the libpq library in order to communicate with a PostgreSQL
 database backend.
 .
 PostgreSQL is an object-relational SQL database management system.

Package: libpq5
Build-Profiles: <!pkg.postgresql.nolibpkgs>
Architecture: any
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Recommends:
 ca-certificates,
Suggests:
 libpq-oauth,
Multi-Arch: same
Description: PostgreSQL C client library
 libpq is a C library that enables user programs to communicate with
 the PostgreSQL database server.  The server can be on another machine
 and accessed through TCP/IP.  This version of libpq is compatible
 with servers from PostgreSQL 8.2 or later.
 .
 This package contains the run-time library, needed by packages using
 libpq. SSL certificate validation (the sslrootcert=system connection
 option) requires the ca-certificates package.
 .
 PostgreSQL is an object-relational SQL database management system.

Package: libpq-oauth
Build-Profiles: <!pkg.postgresql.nolibpkgs>
Architecture: linux-any
Section: libs
Depends:
 libpq5 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Provides: libpq-oauth-18
Multi-Arch: same
Description: PostgreSQL C client library - OAuth flow
 libpq-oauth is an optional module for libpq5 implementing the Device
 Authorization flow for OAuth clients (RFC 8628). It is maintained as
 its own shared library in order to isolate its dependency on libcurl.
 (End users who don't want the Curl dependency can simply choose not
 to install this module.)
 .
 If a connection string allows the use of OAuth, and the server asks
 for it, and a libpq client has not installed its own custom OAuth
 flow, libpq will attempt to delay-load this module using dlopen() and
 the following ABI. Failure to load results in a failed connection.
 .
 PostgreSQL is an object-relational SQL database management system.

Package: libecpg6
Build-Profiles: <!pkg.postgresql.nolibpkgs>
Architecture: any
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Multi-Arch: same
Description: run-time library for ECPG programs
 The libecpg shared library is used by programs built with ECPG
 (Embedded PostgreSQL for C).
 .
 PostgreSQL is an object-relational SQL database management system.

Package: libecpg-dev
Build-Profiles: <!pkg.postgresql.nolibpkgs>
Architecture: any
Section: libdevel
Depends:
 libecpg-compat3 (= ${binary:Version}),
 libecpg6 (= ${binary:Version}),
 libpgtypes3 (= ${binary:Version}),
 libpq-dev,
 ${misc:Depends},
 ${shlibs:Depends},
Description: development files for ECPG (Embedded PostgreSQL for C)
 This package contains the necessary files to build ECPG (Embedded
 PostgreSQL for C) programs.  It includes the development libraries
 and the preprocessor program ecpg.
 .
 PostgreSQL is an object-relational SQL database management system.
 .
 Install this package if you want to write C programs with SQL statements
 embedded in them (rather than run by an external process).

Package: libecpg-compat3
Build-Profiles: <!pkg.postgresql.nolibpkgs>
Architecture: any
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Multi-Arch: same
Description: older version of run-time library for ECPG programs
 The libecpg_compat shared library is used by programs built with ecpg.
 (Embedded PostgreSQL for C).
 .
 PostgreSQL is an object-relational SQL database management system.

Package: libpgtypes3
Build-Profiles: <!pkg.postgresql.nolibpkgs>
Architecture: any
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Multi-Arch: same
Description: shared library libpgtypes for PostgreSQL 18
 The libpgtypes shared library is used by programs built with ecpg.
 (Embedded PostgreSQL for C).
 .
 PostgreSQL is an object-relational SQL database management system.

Package: postgresql-18
Architecture: any
Depends:
 locales | locales-all,
 postgresql-client-18 (= ${binary:Version}),
 postgresql-common (>= 275~),
 ssl-cert,
 tzdata,
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 postgresql-contrib-18,
Recommends:
 postgresql-18-jit,
 sysstat,
Breaks:
 dbconfig-common (<< 2.0.22~),
Description: The World's Most Advanced Open Source Relational Database
 PostgreSQL, also known as Postgres, is a free and open-source relational
 database management system (RDBMS) emphasizing extensibility and SQL
 compliance. It features transactions with Atomicity, Consistency, Isolation,
 Durability (ACID) properties, automatically updatable views, materialized
 views, triggers, foreign keys, and stored procedures. It is designed to handle
 a range of workloads, from single machines to data warehouses or Web services
 with many concurrent users.
 .
 This package provides the database server for PostgreSQL 18.${cassert}
XB-Postgresql-Catversion: ${postgresql:Catversion}

Package: postgresql-client-18
Architecture: any
Multi-Arch: foreign
Depends:
 libpq5 (>= ${source:Upstream-Version}),
 postgresql-client-common (>= 182~),
 sensible-utils,
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 postgresql-18,
 postgresql-doc-18,
Provides:
 postgresql-client,
Description: front-end programs for PostgreSQL 18
 This package contains client and administrative programs for
 PostgreSQL: these are the interactive terminal client psql and
 programs for creating and removing users and databases.
 .
 This is the client package for PostgreSQL 18. If you install
 PostgreSQL 18 on a standalone machine, you need the server package
 postgresql-18, too. On a network, you can install this package on
 many client machines, while the server package may be installed on
 only one machine.
 .
 PostgreSQL is an object-relational SQL database management system.

Package: postgresql-server-dev-18
Architecture: any
Section: libdevel
Depends:
 clang-${llvm:Version} [amd64 arm64 mips64el ppc64 ppc64el s390x] <!pkg.postgresql.nollvm>,
 libpq-dev (>= 18~~),
 llvm-${llvm:Version}-dev [amd64 arm64 mips64el ppc64 ppc64el s390x] <!pkg.postgresql.nollvm>,
 postgresql-client-18 (= ${binary:Version}),
 postgresql-common (>= 142~),
 ${misc:Depends},
 ${shlibs:Depends},
Description: development files for PostgreSQL 18 server-side programming
 Header files for compiling SPI code to link into PostgreSQL's backend; for
 example, for C functions to be called from SQL.
 .
 This package also contains the Makefiles necessary for building add-on
 modules of PostgreSQL, which would otherwise have to be built in the
 PostgreSQL source-code tree.
 .
 PostgreSQL is an object-relational SQL database management system.

Package: postgresql-doc-18
Architecture: all
Build-Profiles: <!nodoc>
Multi-Arch: foreign
Section: doc
Depends:
 ${misc:Depends},
Description: documentation for the PostgreSQL database management system
 This package contains all README files, user manual, and examples for
 PostgreSQL 18. The manual is in HTML format.
 .
 PostgreSQL is an object-relational SQL database management system.

Package: postgresql-plperl-18
Architecture: any
Depends:
 perl,
 postgresql-18 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 postgresql-plperl,
Description: PL/Perl procedural language for PostgreSQL 18
 PL/Perl enables an SQL developer to write procedural language functions
 for PostgreSQL 18 in Perl.  You need this package if you have any
 PostgreSQL 18 functions that use the languages plperl or plperlu.
 .
 PostgreSQL is an object-relational SQL database management system.

Package: postgresql-plpython3-18
Architecture: any
Depends:
 postgresql-18 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 postgresql-plpython3,
Description: PL/Python 3 procedural language for PostgreSQL 18
 PL/Python 3 enables an SQL developer to write procedural language functions
 for PostgreSQL 18 in Python 3.  You need this package if you have any
 PostgreSQL 18 functions that use the languages plpython3 or plpython3u.
 .
 PostgreSQL is an object-relational SQL database management system.

Package: postgresql-pltcl-18
Architecture: any
Depends:
 postgresql-18 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 postgresql-pltcl,
Description: PL/Tcl procedural language for PostgreSQL 18
 PL/Tcl enables an SQL developer to write procedural language functions
 for PostgreSQL 18 in Tcl.  You need this package if you have any
 PostgreSQL 18 functions that use the languages pltcl or pltclu.
 .
 PostgreSQL is an object-relational SQL database management system.

Package: postgresql-18-jit
Architecture: amd64 arm64 mips64el ppc64 ppc64el s390x
Build-Profiles: <!pkg.postgresql.nollvm>
Depends:
 postgresql-18 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 postgresql-18-jit-llvm (= ${llvm:Version}),
Description: LLVM JIT support for PostgreSQL 18
 PostgreSQL, also known as Postgres, is a free and open-source relational
 database management system (RDBMS) emphasizing extensibility and SQL
 compliance. It features transactions with Atomicity, Consistency, Isolation,
 Durability (ACID) properties, automatically updatable views, materialized
 views, triggers, foreign keys, and stored procedures. It is designed to handle
 a range of workloads, from single machines to data warehouses or Web services
 with many concurrent users.
 .
 This package provides LLVM-based query JITing for PostgreSQL 18.

## postgresql-18 18~rc1

=== debian/changelog ===
postgresql-18 (18~rc1-2) unstable; urgency=medium

  * Upload to unstable in preparation of 18.0 release.
  * B-D on postgresql-common-dev instead of -common.
  * Drop move-pages32 patch, upstream had a different fix already.

 -- Christoph Berg <myon@debian.org>  Mon, 22 Sep 2025 12:37:17 +0200

postgresql-18 (18~rc1-1) experimental; urgency=medium

  * New upstream version 18rc1.
  * libpq-oauth.lintian-overrides: Package is a plugin.

 -- Christoph Berg <myon@debian.org>  Wed, 13 Aug 2025 23:37:10 +0200

=== debian/control ===
--- 
+++ 
@@ -44,7 +44,7 @@
  mawk,
  perl (>= 5.8),
  pkgconf,
- postgresql-common (>= 279~),
+ postgresql-common-dev,
  python3-dev,
  systemtap-sdt-dev [linux-any],
  tcl-dev,

## postgresql-18 18.0

=== doc/Makefile ===
#----------------------------------------------------------------------------
#
# PostgreSQL documentation top-level makefile
#
# Copyright (c) 1994, Regents of the University of California
#
# doc/Makefile
#
#----------------------------------------------------------------------------

subdir = doc
top_builddir = ..
include $(top_builddir)/src/Makefile.global

all html man install installdirs uninstall clean distclean:
	$(MAKE) -C src $@

=== contrib/amcheck/Makefile ===
# contrib/amcheck/Makefile

MODULE_big	= amcheck
OBJS = \
	$(WIN32RES) \
	verify_common.o \
	verify_gin.o \
	verify_heapam.o \
	verify_nbtree.o

EXTENSION = amcheck
DATA = amcheck--1.2--1.3.sql amcheck--1.1--1.2.sql amcheck--1.0--1.1.sql amcheck--1.0.sql \
		amcheck--1.3--1.4.sql amcheck--1.4--1.5.sql
PGFILEDESC = "amcheck - function for verifying relation integrity"

REGRESS = check check_btree check_gin check_heap

EXTRA_INSTALL = contrib/pg_walinspect
TAP_TESTS = 1

ifdef USE_PGXS
PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)
else
subdir = contrib/amcheck
top_builddir = ../..
include $(top_builddir)/src/Makefile.global
include $(top_srcdir)/contrib/contrib-global.mk
endif

=== contrib/basic_archive/Makefile ===
# contrib/basic_archive/Makefile

MODULES = basic_archive
PGFILEDESC = "basic_archive - basic archive module"

REGRESS = basic_archive
REGRESS_OPTS = --temp-config $(top_srcdir)/contrib/basic_archive/basic_archive.conf

# Disabled because these tests require special configuration, which
# typical installcheck users do not have (e.g. buildfarm clients).
NO_INSTALLCHECK = 1

ifdef USE_PGXS
PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)
else
subdir = contrib/basic_archive
top_builddir = ../..
include $(top_builddir)/src/Makefile.global
include $(top_srcdir)/contrib/contrib-global.mk
endif

=== contrib/btree_gin/Makefile ===
# contrib/btree_gin/Makefile

MODULE_big = btree_gin
OBJS = \
	$(WIN32RES) \
	btree_gin.o

EXTENSION = btree_gin
DATA = btree_gin--1.0.sql btree_gin--1.0--1.1.sql btree_gin--1.1--1.2.sql \
	 btree_gin--1.2--1.3.sql
PGFILEDESC = "btree_gin - B-tree equivalent GIN operator classes"

REGRESS = install_btree_gin int2 int4 int8 float4 float8 money oid \
	timestamp timestamptz time timetz date interval \
	macaddr macaddr8 inet cidr text varchar char bytea bit varbit \
	numeric enum uuid name bool bpchar

ifdef USE_PGXS
PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)
else
subdir = contrib/btree_gin
top_builddir = ../..
include $(top_builddir)/src/Makefile.global
include $(top_srcdir)/contrib/contrib-global.mk
endif

=== contrib/dblink/Makefile ===
# contrib/dblink/Makefile

MODULE_big = dblink
OBJS = \
	$(WIN32RES) \
	dblink.o
PG_CPPFLAGS = -I$(libpq_srcdir)
SHLIB_LINK_INTERNAL = $(libpq)

EXTENSION = dblink
DATA = dblink--1.2.sql dblink--1.1--1.2.sql dblink--1.0--1.1.sql
PGFILEDESC = "dblink - connect to other PostgreSQL databases"

REGRESS = dblink
REGRESS_OPTS = --dlpath=$(top_builddir)/src/test/regress
TAP_TESTS = 1

ifdef USE_PGXS
PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)
else
SHLIB_PREREQS = submake-libpq
subdir = contrib/dblink
top_builddir = ../..
include $(top_builddir)/src/Makefile.global
include $(top_srcdir)/contrib/contrib-global.mk
endif

=== contrib/jsonb_plpython/Makefile ===
# contrib/jsonb_plpython/Makefile

MODULE_big = jsonb_plpython$(python_majorversion)
OBJS = \
	$(WIN32RES) \
	jsonb_plpython.o
PGFILEDESC = "jsonb_plpython - jsonb transform for plpython"

PG_CPPFLAGS = -I$(top_srcdir)/src/pl/plpython $(python_includespec) -DPLPYTHON_LIBNAME='"plpython$(python_majorversion)"'

EXTENSION = jsonb_plpython3u
DATA = jsonb_plpython3u--1.0.sql

REGRESS = jsonb_plpython

ifdef USE_PGXS
PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)
else
subdir = contrib/jsonb_plpython
top_builddir = ../..
include $(top_builddir)/src/Makefile.global
include $(top_srcdir)/contrib/contrib-global.mk
endif

# We must link libpython explicitly
ifeq ($(PORTNAME), win32)
# ... see silliness in plpython Makefile ...
SHLIB_LINK_INTERNAL += $(sort $(wildcard ../../src/pl/plpython/libpython*.a))
else
rpathdir = $(python_libdir)
SHLIB_LINK += $(python_libspec) $(python_additional_libs)
endif

=== contrib/lo/Makefile ===
# contrib/lo/Makefile

MODULES = lo

EXTENSION = lo
DATA = lo--1.1.sql lo--1.0--1.1.sql lo--1.1--1.2.sql
PGFILEDESC = "lo - management for large objects"

REGRESS = lo

ifdef USE_PGXS
PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)
else
subdir = contrib/lo
top_builddir = ../..
include $(top_builddir)/src/Makefile.global
include $(top_srcdir)/contrib/contrib-global.mk
endif

=== contrib/ltree/Makefile ===
# contrib/ltree/Makefile

MODULE_big = ltree
OBJS = \
	$(WIN32RES) \
	_ltree_gist.o \
	_ltree_op.o \
	crc32.o \
	lquery_op.o \
	ltree_gist.o \
	ltree_io.o \
	ltree_op.o \
	ltxtquery_io.o \
	ltxtquery_op.o

EXTENSION = ltree
DATA = ltree--1.2--1.3.sql ltree--1.1--1.2.sql ltree--1.1.sql \
	ltree--1.0--1.1.sql
PGFILEDESC = "ltree - hierarchical label data type"

HEADERS = ltree.h

REGRESS = ltree

ifdef USE_PGXS
PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)
else
subdir = contrib/ltree
top_builddir = ../..
include $(top_builddir)/src/Makefile.global
include $(top_srcdir)/contrib/contrib-global.mk
endif

=== contrib/pg_buffercache/Makefile ===
# contrib/pg_buffercache/Makefile

MODULE_big = pg_buffercache
OBJS = \
	$(WIN32RES) \
	pg_buffercache_pages.o

EXTENSION = pg_buffercache
DATA = pg_buffercache--1.2.sql pg_buffercache--1.2--1.3.sql \
	pg_buffercache--1.1--1.2.sql pg_buffercache--1.0--1.1.sql \
	pg_buffercache--1.3--1.4.sql pg_buffercache--1.4--1.5.sql \
	pg_buffercache--1.5--1.6.sql
PGFILEDESC = "pg_buffercache - monitoring of shared buffer cache in real-time"

REGRESS = pg_buffercache pg_buffercache_numa

ifdef USE_PGXS
PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)
else
subdir = contrib/pg_buffercache
top_builddir = ../..
include $(top_builddir)/src/Makefile.global
include $(top_srcdir)/contrib/contrib-global.mk
endif

=== contrib/pg_logicalinspect/Makefile ===
# contrib/pg_logicalinspect/Makefile

MODULE_big = pg_logicalinspect
OBJS = \
	$(WIN32RES) \
	pg_logicalinspect.o
PGFILEDESC = "pg_logicalinspect - functions to inspect logical decoding components"

EXTENSION = pg_logicalinspect
DATA = pg_logicalinspect--1.0.sql

EXTRA_INSTALL = contrib/test_decoding

REGRESS = pg_logicalinspect
ISOLATION = logical_inspect

ISOLATION_OPTS = --temp-config $(top_srcdir)/contrib/pg_logicalinspect/logicalinspect.conf

# Disabled because these tests require "wal_level=logical", which
# some installcheck users do not have (e.g. buildfarm clients).
NO_INSTALLCHECK = 1

ifdef USE_PGXS
PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)
else
subdir = contrib/pg_logicalinspect
top_builddir = ../..
include $(top_builddir)/src/Makefile.global
include $(top_srcdir)/contrib/contrib-global.mk
endif

=== contrib/pg_stat_statements/Makefile ===
# contrib/pg_stat_statements/Makefile

MODULE_big = pg_stat_statements
OBJS = \
	$(WIN32RES) \
	pg_stat_statements.o

EXTENSION = pg_stat_statements
DATA = pg_stat_statements--1.4.sql \
	pg_stat_statements--1.11--1.12.sql pg_stat_statements--1.10--1.11.sql \
	pg_stat_statements--1.9--1.10.sql pg_stat_statements--1.8--1.9.sql \
	pg_stat_statements--1.7--1.8.sql pg_stat_statements--1.6--1.7.sql \
	pg_stat_statements--1.5--1.6.sql pg_stat_statements--1.4--1.5.sql \
	pg_stat_statements--1.3--1.4.sql pg_stat_statements--1.2--1.3.sql \
	pg_stat_statements--1.1--1.2.sql pg_stat_statements--1.0--1.1.sql
PGFILEDESC = "pg_stat_statements - execution statistics of SQL statements"

LDFLAGS_SL += $(filter -lm, $(LIBS))

REGRESS_OPTS = --temp-config $(top_srcdir)/contrib/pg_stat_statements/pg_stat_statements.conf
REGRESS = select dml cursors utility level_tracking planning \
	user_activity wal entry_timestamp privileges extended \
	parallel cleanup oldextversions squashing
# Disabled because these tests require "shared_preload_libraries=pg_stat_statements",
# which typical installcheck users do not have (e.g. buildfarm clients).
NO_INSTALLCHECK = 1

TAP_TESTS = 1

ifdef USE_PGXS
PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)
else
subdir = contrib/pg_stat_statements
top_builddir = ../..
include $(top_builddir)/src/Makefile.global
include $(top_srcdir)/contrib/contrib-global.mk
endif

=== contrib/pg_visibility/Makefile ===
# contrib/pg_visibility/Makefile

MODULE_big = pg_visibility
OBJS = \
	$(WIN32RES) \
	pg_visibility.o

EXTENSION = pg_visibility
DATA = pg_visibility--1.1.sql pg_visibility--1.1--1.2.sql \
	pg_visibility--1.0--1.1.sql
PGFILEDESC = "pg_visibility - page visibility information"

REGRESS = pg_visibility
TAP_TESTS = 1

ifdef USE_PGXS
PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)
else
subdir = contrib/pg_visibility
top_builddir = ../..
include $(top_builddir)/src/Makefile.global
include $(top_srcdir)/contrib/contrib-global.mk
endif

=== debian/changelog ===
postgresql-18 (18.0-1) unstable; urgency=medium

  * PostgreSQL 18.0.
  * B-D on openssl.

 -- Christoph Berg <myon@debian.org>  Tue, 23 Sep 2025 21:46:05 +0200

postgresql-18 (18~rc1-3) unstable; urgency=medium

  * libpq.pc: Drop libcurl from Requires.private.

 -- Christoph Berg <myon@debian.org>  Tue, 23 Sep 2025 17:12:07 +0200

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,7 @@
  Martin Pitt <mpitt@debian.org>,
  Peter Eisentraut <petere@debian.org>,
  Christoph Berg <myon@debian.org>,
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Build-Depends:
  autoconf,
  bison,
@@ -42,6 +41,7 @@
  llvm-dev [amd64 arm64 mips64el ppc64 ppc64el s390x] <!pkg.postgresql.nollvm>,
  lz4 | liblz4-tool,
  mawk,
+ openssl,
  perl (>= 5.8),
  pkgconf,
  postgresql-common-dev,

=== debian/rules ===
#!/usr/bin/make -f

MAJOR_VER := 18

include /usr/share/postgresql-common/server/postgresql.mk

=== debian/watch ===
version=3
opts=uversionmangle=s/alpha/~alpha/;s/beta/~beta/;s/rc/~rc/ \
https://ftp.postgresql.org/pub/source/v(18.*)/postgresql-(18.*).tar.bz2
